For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Documents

get_extract

GET
https://api.groundx.ai/api/v1/ingest/document/extract/:documentId
GET
/api/v1/ingest/document/extract/:documentId
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.documents.get_extract(
8 document_id="3fa85f64-5717-4562-b3fc-2c963f66afa6",
9)
1{
2 "extractions": [
3 {
4 "field": "InvoiceNumber",
5 "value": "INV-20240615-001",
6 "confidence": 0.98
7 },
8 {
9 "field": "InvoiceDate",
10 "value": "2024-06-15",
11 "confidence": 0.95
12 },
13 {
14 "field": "TotalAmount",
15 "value": "1250.75",
16 "confidence": 0.97
17 }
18 ],
19 "documentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
20 "status": "extraction_completed",
21 "retrievedAt": "2024-06-20T10:15:30Z"
22}
Look up extractions for an existing document by documentId.
Was this page helpful?
Previous

get_xray

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

documentIdstringRequiredformat: "uuid"
The documentId of the document for which GroundX extract has extracted information.

Response

Look up success

Errors

400
Bad Request Error
401
Unauthorized Error